> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank List



## OpenAPI

````yaml get /api/v1/openbanking-getbanks
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/openbanking-getbanks:
    get:
      tags:
        - Open Banking
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenBankingGetBanksResponse'
components:
  schemas:
    OpenBankingGetBanksResponse:
      type: object
      properties:
        status:
          type: boolean
          description: Indicates whether the request was successful
        message:
          type: string
          nullable: true
          description: A message describing the result of the request
        data:
          $ref: '#/components/schemas/OpenBankingGetBanksData'
      additionalProperties: false
    OpenBankingGetBanksData:
      type: object
      nullable: true
      properties:
        banks:
          type: array
          nullable: true
          description: The list of banks that support open banking payments
          items:
            $ref: '#/components/schemas/OpenBankingBank'
      additionalProperties: false
    OpenBankingBank:
      type: object
      properties:
        bankId:
          type: string
          nullable: true
          description: >-
            The unique identifier of the bank. Pass this value as bankId when
            initiating a payment (e.g., barclays)
        name:
          type: string
          nullable: true
          description: The display name of the bank (e.g., Barclays)
        logoUrl:
          type: string
          nullable: true
          description: >-
            The URL of the bank's logo, which can be used in your bank selection
            UI
        currency:
          type: string
          nullable: true
          description: The currency supported by the bank (e.g., GBP)
      additionalProperties: false
      example:
        success: true
        message: Successful
        data:
          banks:
            - bankId: barclays
              name: Barclays
              logoUrl: https://api.reflowzone.io/bank-logos/barclays.svg
              currency: GBP
            - bankId: revolut
              name: Revolut
              logoUrl: https://api.reflowzone.io/bank-logos/revolut.svg
              currency: GBP
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````